unit UFormMessages;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  ComCtrls;

type

  { TFormMessages }

  TFormMessages = class(TForm)
    ListView1: TListView;
    procedure FormCreate(Sender: TObject);
    procedure ListView1Data(Sender: TObject; Item: TListItem);
  private
    { private declarations }
  public
    procedure Reload;
  end;

var
  FormMessages: TFormMessages;

implementation

{$R *.lfm}

uses
  UCore, UTarget;

{ TFormMessages }

procedure TFormMessages.ListView1Data(Sender: TObject; Item: TListItem);
begin
  with Core.CurrentTarget do
  if (Item.Index >= 0) and (Item.Index < Messages.Count) then
  with TMessage(Messages[Item.Index]) do begin
    Item.Caption := Text;
    Item.Data := Messages[Item.Index];
  end;
end;

procedure TFormMessages.FormCreate(Sender: TObject);
begin

end;

procedure TFormMessages.Reload;
begin
  ListView1.Items.Count := Core.CurrentTarget.Messages.Count;
  ListView1.Refresh;
end;

end.

