unit UFormInput;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormInput }

  TFormInput = class(TForm)
    Label1: TLabel;
    MemoInput: TMemo;
    procedure MemoInputKeyPress(Sender: TObject; var Key: char);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  FormInput: TFormInput;


implementation

{$R *.lfm}

uses
  UCore, UTargetInterpretter;

procedure TFormInput.MemoInputKeyPress(Sender: TObject; var Key: char);
begin
  if Core.CurrentTarget is TTargetInterpretter then
  with TTargetInterpretter(Core.CurrentTarget) do
    Input := Input + Key;
end;


end.

