program LazFuck;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}//{$IFDEF UseCThreads}
  cthreads, clocale,
  //{$ENDIF}
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, UTarget, UTargetC, UTargetDelphi, UTargetInterpretter, UTargetPHP,
  UTargetJava, UTargetFPC, UFormCPU, UFormMain, UFormOptions, UFormTargets,
  UFormOutput, UFormInput, UFormMemory, UFormMessages, UFormSourceCode,
  UFormTargetCode, UFormTargetOptions, UCore, Common, TemplateGenerics,
  CoolTranslator, UFormLog, UProject, UBFTarget, SysUtils;

{$R *.res}

{$IFDEF DEBUG}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}


begin
  {$IFDEF DEBUG}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Title := 'LazFuck IDE';
  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormCPU, FormCPU);
  Application.CreateForm(TOptionsForm, OptionsForm);
  Application.CreateForm(TFormCompilers, FormCompilers);
  Application.CreateForm(TFormOutput, FormOutput);
  Application.CreateForm(TFormInput, FormInput);
  Application.CreateForm(TFormMemory, FormMemory);
  Application.CreateForm(TFormMessages, FormMessages);
  Application.CreateForm(TFormSourceCode, FormSourceCode);
  Application.CreateForm(TFormTargetCode, FormTargetCode);
  Application.CreateForm(TFormTargetOptions, FormTargetOptions);
  Application.CreateForm(TFormLog, FormLog);
  Application.Run;
end.

